org.red5.server.service

## Interface IServiceResolver

All Known Implementing Classes:
  ContextServiceResolver, HandlerServiceResolver, ScopeServiceResolver

    public interface IServiceResolver

Interface for objects that resolve service names to services. This is used by the ServiceInvoker to lookup the service to invoke a method on.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`Object` `resolveService(IScope scope, String serviceName)` Search for a service with the given name in the scope.

### Method Detail

#### resolveService

    Object resolveService(IScope scope,
                        String serviceName)

Search for a service with the given name in the scope.

Parameters:
  `scope` - the scope to search in
  `serviceName` - the name of the service
Returns:
  the object implementing the service or `null` if service doesn't exist